DelegateResource

Delegate bandwidth or energy resources to other accounts in Stake2.0.

Recipes
🔒
Stake and Delegate Resources
Open Recipe
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns
Transaction object - JSON object: Unsigned transaction, please refer to the Transaction chapter for the fields contained in it. Since the transaction type is DelegateResourceContract, the fields contained in raw_data.contract[0].parameter.value in the transaction are as follows:

FieldTypeDescription
owner_addressstringTransaction initiator address.
resourcestringType of resource. (Enum: BANDWIDTH, ENERGY)
receiver_addressstringResource receiver address.
balanceInt64Amount of TRX for resource delegation. (Unit: sun)
lockboolWhether to lock the resource delegation. If true, the delegation cannot be canceled during the lock_period.
lock_periodInt64Lock duration in blocks (1 block ≈ 3 seconds). Only valid if lock is true. (e.g., 1 day = 28800)
Body Params
string
required

Owner address, in Base58Check format or HEX format.

string
required

Resource receiver address, in Base58Check format or HEX format.

int64
required

Amount of TRX to delegate or undelegate for resources. (Unit: sun)

string
required

Type of resource. (Enum: "BANDWIDTH" or "ENERGY")

boolean
Defaults to false

Optional. Whether to lock the resource delegation. If true, the delegation cannot be canceled during the lock_period.

int64

Lock duration in blocks (1 block ≈ 3 seconds). Only valid if lock is true. (e.g., 1 day = 28800)

boolean
Defaults to false

Optional. Set to true to format addresses in Base58Check; set to false for hex format. (Default: false)

int32

Optional. Permission ID used for multi-signature.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json